Pular para o conteúdo principal
POST
/
image
/
multi-edit
/api/v1/image/multi-edit
curl --request POST \
  --url https://api.venice.ai/api/v1/image/multi-edit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "images": [
    "<string>"
  ],
  "aspect_ratio": "16:9",
  "modelId": "firered-image-edit",
  "output_format": "png",
  "quality": "high",
  "resolution": "1K",
  "safe_mode": false
}
'
"<string>"
Preço: O preço de edição múltipla varia por modelo. Veja a visão geral de preços para os preços atuais por edição.

Níveis de qualidade

Alguns modelos de edição múltipla aceitam um parâmetro opcional quality (low, medium, high) que troca fidelidade visual por custo. Atualmente suportado por gpt-image-2-edit; outros modelos ignoram o parâmetro.
{
  "modelId": "gpt-image-2-edit",
  "images": ["iVBORw0KGgo...", "iVBORw0KGgo..."],
  "prompt": "blend the two scenes into one cinematic frame",
  "resolution": "2K",
  "quality": "medium"
}
Quando você omite quality, o modelo usa seu nível padrão (high para gpt-image-2-edit). Os preços por nível (1K/2K/4K × low/medium/high) ficam em model_spec.pricing.quality no endpoint de Modelos e estão listados na visão geral de preços.
Preços baseados em qualidade são o padrão para todas as chamadas de API e SDK — não é necessário cabeçalho de opt-in. Requisições que omitem quality são cobradas pelo nível padrão do modelo (high para gpt-image-2-edit).

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

Edit an image by compositing up to three layered images with a single prompt. Supports base64-encoded strings and URLs.

prompt
string
obrigatório

The text directions to edit or modify the image. Short, descriptive prompts work best (e.g., "remove the tree", "change the sky to sunrise"). Character limit is model specific and is listed in the promptCharacterLimit setting in the model list endpoint.

Required string length: 1 - 32768
images
(string<uri> | string)[]
obrigatório

Array of 1 to 3 images used for multi-editing. The first image is treated as the base image, and the remaining images are used as edit layers/masks. Each image can be a base64-encoded string or a URL starting with http:// or https://. Image dimensions must be at least 65536 pixels and must not exceed 33177600 pixels. File size must be less than 25MB.

Required array length: 1 - 3 elements

Image as a base64-encoded string or a URL starting with http:// or https://

aspect_ratio
enum<string>

The aspect ratio for the output image. Use 'auto' or omit this parameter to infer the closest supported aspect ratio from the first input image when explicit sizing is required by the model.

Opções disponíveis:
auto,
1:1,
3:2,
16:9,
21:9,
9:16,
2:3,
3:4,
4:5
Exemplo:

"16:9"

modelId
enum<string>
padrão:firered-image-edit

The model ID to use for multi-edit.

Opções disponíveis:
firered-image-edit,
qwen-edit,
qwen-edit-uncensored,
grok-imagine-edit,
grok-imagine-quality-edit,
qwen-image-2-edit,
qwen-image-2-pro-edit,
wan-2-7-pro-edit,
flux-2-max-edit,
gpt-image-2-edit,
gpt-image-1-5-edit,
nano-banana-2-edit,
nano-banana-pro-edit,
seedream-v5-lite-edit,
seedream-v4-edit
Minimum string length: 1
output_format
enum<string>

Output format for the edited image. Accepts jpeg, jpg, png, or webp. When omitted, the format is inferred from resolution: PNG for 1K edits and JPEG for 2K/4K edits.

Opções disponíveis:
jpeg,
png,
webp
Exemplo:

"png"

quality
enum<string>

Output quality for supported models (e.g. GPT Image 2 / GPT Image 2 Edit). Higher values can increase the final request charge. See the model list for supported options.

Opções disponíveis:
low,
medium,
high
Exemplo:

"high"

resolution
string

Resolution tier for the output image (e.g. "1K", "2K", "4K"). Supported values vary by model - check GET /api/v1/models for model-specific options. Defaults to "1K" when not specified.

Required string length: 1 - 10
Exemplo:

"1K"

safe_mode
boolean
padrão:true

Whether to use safe mode. If enabled, this will blur images that are classified as having adult content.

Exemplo:

false

Resposta

OK

The response is of type file.